[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# Fieldtypenames

Human-readable names of field types

## Declaration

Source position: db.pas line 2148

`const Fieldtypenames: array [TFieldType] of string = ('Unknown', 'String', 'Smallint', 'Integer', 'Word', 'Boolean', 'Float', 'Currency', 'BCD', 'Date', 'Time', 'DateTime', 'Bytes', 'VarBytes', 'AutoInc', 'Blob', 'Memo', 'Graphic', 'FmtMemo', 'ParadoxOle', 'DBaseOle', 'TypedBinary', 'Cursor', 'FixedChar', 'WideString', 'Largeint', 'ADT', 'Array', 'Reference', 'DataSet', 'OraBlob', 'OraClob', 'Variant', 'Interface', 'IDispatch', 'Guid', 'TimeStamp', 'FMTBcd', 'FixedWideChar', 'WideMemo');`

## Description

FieldTypeNames contains the names (in English) for the various field data types.

## See also

TFieldType |  | Field data type description
TField.DataType |  | The data type of the field.